<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
		version="1.0"
                exclude-result-prefixes="doc">

<xsl:import href="../docbook/xsl/html/docbook.xsl"/>
<xsl:import href="../docbook/xsl/html/chunk.xsl"/>

<xsl:output method="xml" indent="no" encoding='iso-8859-1'/>

<xsl:param name="toc.list.type" select="'topic'"/>
<xsl:param name="title"/>

<xsl:template name="subtoc">
  <xsl:param name="nodes" select="NOT-AN-ELEMENT"/>
  <xsl:variable name="filename">
    <xsl:apply-templates select="." mode="chunk-filename"/>
  </xsl:variable>

  <xsl:variable name="chunk">
    <xsl:call-template name="chunk"/>
  </xsl:variable>

  <xsl:if test="$chunk != 0">
    <xsl:call-template name="indent-spaces"/>
    <xsl:if test="$filename = 'toc.html'">
      <xsl:apply-templates mode="toc" select="$nodes"/>
    </xsl:if>
    <xsl:if test="$filename != 'toc.html'">
      <topic>
        <xsl:attribute name="label">
          <xsl:value-of select="title"/>
        </xsl:attribute>
        <xsl:attribute name="href">
          <xsl:value-of select="$filename"/>
        </xsl:attribute>
        <xsl:text>&#xA;</xsl:text>
        <xsl:apply-templates mode="toc" select="$nodes"/>
        <xsl:call-template name="indent-spaces"/>
      </topic>
    </xsl:if>
    <xsl:text>&#xA;</xsl:text>
  </xsl:if>
</xsl:template>

<xsl:template name="indent-spaces">
  <xsl:param name="node" select="."/>
  <xsl:text>  </xsl:text>
  <xsl:if test="$node/parent::*">
    <xsl:call-template name="indent-spaces">
      <xsl:with-param name="node" select="$node/parent::*"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<!-- ==================================================================== -->

<xsl:template match="/" priority="-1">
  <xsl:text>&#xA;</xsl:text>
  <toc>
    <xsl:attribute name="label">
      <xsl:value-of select="$title"/>
    </xsl:attribute>
    <xsl:text>&#xA;</xsl:text>
    <xsl:apply-templates select="/" mode="toc"/>
  </toc>
  <xsl:text>&#xA;</xsl:text>
</xsl:template>

</xsl:stylesheet>
